apply plugin: 'com.android.application'
apply plugin: 'io.fabric'// Firebase Crashlytics
android {
    compileSdkVersion 26
    defaultConfig {
        applicationId "kr.co.hanwha.hifive"
        minSdkVersion 21
        targetSdkVersion 25
        versionCode 1
        versionName '1.0.0'
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"

        buildConfigField "String", "REVISION", "\"2018050802\""
        buildConfigField "String", "RC", "\"rc4\""

        buildConfigField "String", "WEB_REAL_URL", "\"https://qtalk.dreamplus.center/newgw/b/v2\""
        buildConfigField "String", "WEB_DEV_URL", "\"https://qtalk-dev.dreamplus.center/newgw/b/v2\""
        buildConfigField "String", "WEB_LOCAL_URL", "\"http://192.168.0.27:38999/b/v2\""

        buildConfigField "String", "REAL_URL", "\"https://qtalk.dreamplus.center/newgw/a/v2\""
        buildConfigField "String", "DEV_URL", "\"https://qtalk-dev.dreamplus.center/newgw/a/v2\""
        buildConfigField "String", "LOCAL_URL", "\"http://192.168.0.156:38999/a/v2\""

        buildConfigField "String", "DOWNLOAD_URL", "\"http://qtalk.dreamplus.center/downloads/\""


    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
        debug {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'com.android.support:appcompat-v7:26.1.0'
    implementation 'com.android.support.constraint:constraint-layout:1.0.2'
    implementation 'com.google.firebase:firebase-messaging:11.8.0'
    implementation 'com.google.firebase:firebase-core:11.8.0'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.1'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.1'
    compile 'com.android.support:design:26.1.0'
    /**
     * Network
     */
    compile 'com.squareup.okhttp3:okhttp:3.7.0'
    /**
     * Json
     */
    compile 'com.google.code.gson:gson:2.8.1'
    /**
     * Support
     */
    compile('com.crashlytics.sdk.android:crashlytics:2.7.0-SNAPSHOT@aar') {// Firebase Crashlytics
        transitive = true;
    }
    compile 'com.github.bumptech.glide:glide:3.+'
}


apply plugin: 'com.google.gms.google-services'
